# Removed unused imported modules

import ROOT
import shipunit as u

"""
Parameter settings for reconstruction
"""

## min number of hits to produce a track
trackMinNofHits     = 25
trackMinNofStations = 3
chi2CutOff          = 4.
dy                  = 10.0
VertexMaxZcut       = 2500*u.cm
VertexExtrSteps     = 5
PDG = ROOT.TDatabasePDG.Instance()

def chargePDG(pdg):
  if not PDG.GetParticle(pdg): return
  return PDG.GetParticle(pdg).Charge()/(3.)

def checkEllipticAcc(vec):
  Rsq    = (vec.X()/(2.45*u.m) )**2 + (vec.Y()/((dy/2.-0.05)*u.m) )**2
  return ( Rsq<1 )